> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get partner volume stats



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json get /stats/volume
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /stats/volume:
    get:
      tags:
        - Stats
      summary: Get partner volume stats
      operationId: GetVolume
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeResponse'
        '403':
          description: Access Denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    VolumeResponse:
      properties:
        count:
          type: number
          format: double
          description: Total number of completed transactions
        totalTransactedUSD:
          type: number
          format: double
          description: Total transacted value in USD
        totalOrders:
          type: number
          format: double
          description: Total number of completed transactions (alias for count)
        thisMonthVolumeUsd:
          type: number
          format: double
          description: This month transacted value in USD
        lastMonthVolumeUsd:
          type: number
          format: double
          description: Last month transacted value in USD
        thisMonthOrders:
          type: number
          format: double
          description: This month completed transactions
      required:
        - count
        - totalTransactedUSD
        - totalOrders
        - thisMonthVolumeUsd
        - lastMonthVolumeUsd
        - thisMonthOrders
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````